moGuiExtras = {};

local abs, ceil, floor, max, min, random, pow = math.abs, math.ceil, math.floor, math.max, math.min, math.random, math.pow;
function moGuiExtras:setFirstDisplayZoom(self)
	if moDefault.mapStations > 14 then moSetGetGui.zoomOutMax = moSetGetGui.zoomInMax;return;end;
	local checkZoom = moSetGetGui.zoomOutMax;
	for i = moSetGetGui.zoomInMax, checkZoom, 0.001 do
		if moGuiExtras:setMaxDisplayZoom(self) then			
			if moSetGetGui.pdaMenueSize > moSetGetGui.zoomOutMax then
				moSetGetGui.pdaMenueSize = moSetGetGui.zoomOutMax;
			end;
			if moSetGetGui.pdaMenueSize < moSetGetGui.zoomInMax then
				moSetGetGui.pdaMenueSize = moSetGetGui.zoomInMax;
			end;
			break;
		end;
	end;
end;

function moGuiExtras:setMaxDisplayZoom(self)
	local posBFruit = moSetGetGui.zoomOutMax/3*(moDefault.lengthFruitName)*1.03;
	local posBAmount = moSetGetGui.zoomOutMax/3*(moDefault.lengthAmount)*1.03;
	local posBStation = moSetGetGui.zoomOutMax/3*(moDefault.lengthStation)*1.03;
	local maxDisplay = 0.232+posBFruit+posBAmount+posBStation;
	local display = moSetGetGui.lsSpeedHudX+0.175; --1.00 !!!
	if maxDisplay > display then		
		moSetGetGui.zoomOutMax = moSetGetGui.zoomOutMax-0.001;		
		if tonumber(moSetGetGui.zoomOutMax) == tonumber(moSetGetGui.zoomInMax) then return true;end;
		return false;		
	end;
	return true;
end;

function moGuiExtras:getMoneyFormat(price)
	--if string.len(price) >= 8 then
	--	local splitPrice = Utils.splitString(".", price);
	--	if splitPrice ~= nil and splitPrice[1] ~= nil and splitPrice[2] ~= nil then
	--		return ((splitPrice[1]/1000).. ".".. splitPrice[2]);
	--	end;
	--end;
	--g_i18n:formatMoney(price);
	if string.len(price) >= 8 then
		local replacePrice1 = string.sub (price, string.len(price)-6);		
		local replacePrice2 = string.sub (price, 0, string.len(price)-7);		
		return (replacePrice2.. ".".. replacePrice1);
	end;
	return price;
end;

function moGuiExtras:getMilliSecondsToHours(sMilliSeconds)
	local nMilliSeconds = tonumber(sMilliSeconds);
	if nMilliSeconds == 0 then	
		return "0";
	else
		local nHours = string.format("%02.f", floor(nMilliSeconds/3600000));	
		return nHours;
	end
end

function moGuiExtras:getRandomColor(wert1, wert2)
	return random(wert1, wert2), random(wert1, wert2), random(wert1, wert2);
end;

moGuiExtras.colors = {
	artDesign =       	{ 255/255, 255/255, 255/255, 1.00 };
	artDesignDisabled = { 255/255, 255/255, 255/255, 0.80 };
	artDesignSilo =     { 	0/255,   0/255,   0/255, 1.00 };
	artDesignPrice =    { 255/255, 255/255, 255/255, 1.00 };
	artDesignBestPrice ={ 	0/255, 255/255,   0/255, 0.80 };
	artDesignDemand =   {   4/255,  98/255, 180/255, 1.00 }; 
	own =       		{ 255/255, 255/255, 255/255, 1.00 };
	ownDisabled =   	{ 255/255, 255/255, 255/255, 0.80 };
	ownSilo =       	{ 	0/255,   0/255,   0/255, 1.00 };
	ownPrice =      	{ 255/255, 255/255, 255/255, 1.00 };
	ownBestPrice =  	{ 	0/255, 255/255,   0/255, 0.80 };
	ownDemand =     	{   4/255,  98/255, 180/255, 1.00 }; 	
	randomValues =  	{ 255/255, 255/255, 255/255, 1.00 };
	randomValuesOff =	{ 255/255, 255/255, 255/255, 0.80 };
	transparent =   	{  33/255,  48/255,  24/255, 0.50 };	
	darkYellow =   		{ 255/255, 161/255,  17/255, 1.00 };
	darkYellowOff =  	{ 255/255, 161/255,  17/255, 0.80 };
	white =         	{ 255/255, 255/255, 255/255, 1.00 };
	whiteBestPrice =	{ 255/255, 255/255, 255/255, 1.00 };
	whiteInactive = 	{ 255/255, 255/255, 255/255, 0.75 };
	whiteDisabled = 	{ 255/255, 255/255, 255/255, 0.15 };
	hover =         	{   4/255,  98/255, 180/255, 1.00 };
	hoverBestPrice =	{   4/255,  98/255, 180/255, 0.70 };
	activeGreen =   	{  43/255, 205/255,  10/255, 1.00 }; 
	activeRed =    	 	{ 153/255,  22/255,  19/255, 1.00 }; 
	closeRed =      	{ 116/255,   0/255,   0/255, 1.00 }; 
	warningRed =    	{ 222/255,   2/255,   3/255, 1.00 };
	red =      			{ 255/255,   0/255,   0/255, 1.00 };
	redDisabled =   	{ 255/255,   0/255,   0/255, 0.80 };
	shadow =        	{   4/255,   4/255,   4/255, 1.00 }; 
	textDark =      	{   1/255,   1/255,   1/255, 1.00 };
	yellow =        	{ 255/255, 255/255,   0/255, 1.00 };
	yellowDisabled =	{ 255/255, 255/255,   0/255, 0.80 };
	yellowGreen =		{ 154/255, 205/255,  50/255, 1.00 };
	yellow1 =			{ 238/255, 221/255, 130/255, 1.00 };
	gold =				{ 255/255, 215/255,   0/255, 1.00 };
	green =        		{ 	0/255, 255/255,   0/255, 1.00 };
	darkOliveGreen =    {  85/255, 107/255,  47/255, 1.00 };
	greenDisabled = 	{ 	0/255, 255/255,   0/255, 0.80 };
	darkGreen = 		{ 	0/255, 100/255,   0/255, 1.00 };
	lightGreen =   		{ 144/255, 238/255, 144/255, 1.00 };
	chartreuse4 =		{ 69/255,  139/255,   0/255, 1.00 };
	happylooser =   	{ 143/255, 188/255, 143/255, 1.00 };---
	happylooserOff= 	{ 143/255, 188/255, 143/255, 0.80 };---
	gray = 				{ 190/255, 190/255, 190/255, 1.00 };
	black =        		{ 	0/255,   0/255,   0/255, 1.00 };
	orange =        	{ 255/255, 165/255,   0/255, 1.00 };
	orangeRed =        	{ 255/255,  55/255,   0/255, 1.00 };
	khaki =         	{ 240/255, 230/255, 140/255, 1.00 };
	ls15 =          	{   0/255, 255/255, 255/255, 1.00 };
	ls15Disabled =  	{   0/255, 255/255, 255/255, 0.80 };
	mangenta =  		{ 255/255, 	 0/255, 255/255, 1.00 };
	deepPink =  		{ 255/255, 020/255, 147/255, 1.00 };
	purple =  			{ 160/255, 032/255, 240/255, 1.00 };
};